Find Attribute Definition Names
Description
Find attribute definition names based on name, search filter, permission name inheritance, etc. This is new as of Grouper v2.1
Features
Search by a list of names or ids
Search by a search filter
Search filter can "split scope" like a combobox, where the term is split by whitespace and appended to wildcards in an AND clause. e.g. "pto permissions" would look for attribute definition names which have the word "pto" and "permissions" somewhere in them
Case insensitive
Can search by permission inheritance based on an attribute def name (from permission) and if you want the other attribute def names which inherit directly, directly and indirectly, or which imply this attribute def name (directly, or both)
Can filter by the types of objects this attribute def name is assignable to, or which type it is
Can search by the attribute definition (to find all its names)
Can sort and/or page the results of individual filter types: parent stem, and approximate group name. Can sort on name, displayName, extension, or displayExtension.
Returns attribute definition names
Can actAs another user
Search by serviceRole for a user in v2.2+. Send a subject and a serviceRole (user or admin) to get the services that the subject is a user or admin in. The calling subject must be able to READ groups that subject is in the service. The subject does not need privileges on the service attribute.
Find attributeDefNames Lite service
Accepts one query to search... can query by one name or id, or can filter
Documentation: SOAP (click on findAttributeDefNamesLite), REST (click on findAttributeDefNamesLite)
For REST, the request can put data in query string (in URL or request body)
REST request (colon is escaped to %3A): GET /grouper-ws/servicesRest/v2_1_000/attributeDefNames
Note: if passing data in request body e.g. actAs, use a POST
(see documentation above for details): Request object, response object
Samples (all files with "Lite" in them, click on "download" to see file)
Find attributeDefNames service
Accepts multiple query objects for names and/or ids
Documentation: SOAP (click on findAttributeDefNames), REST (click on findAttributeDefNames)
REST request (colon is escaped to %3A): POST /grouper-ws/servicesRest/v2_1_000/attributeDefNames
(see documentation above for details): Request object, response object
Returns an overall status, and a status for each assignment
Samples (all files without "Lite" in them, click on "download" to see files)